	* Make dependences from smc91111 board specific, instead of
	  arch(blackfin) specific.

Signed-off-by: Andrey Volkov <avolkov@varma-el.com>
---

 examples/Makefile    |   12 +++++++++++-
 lib_blackfin/board.c |    3 +++
 2 files changed, 14 insertions(+), 1 deletions(-)

diff --git a/examples/Makefile b/examples/Makefile
index fee2674..34d3876 100644
--- a/examples/Makefile
+++ b/examples/Makefile
@@ -77,7 +77,17 @@ SREC   += sched.srec
 BIN    += sched.bin sched
 endif
 
-ifeq ($(ARCH),blackfin)
+ifeq ($(BOARD),ezkit533)
+SREC	+= smc91111_eeprom.srec
+BIN 	+= smc91111_eeprom.bin smc91111_eeprom
+endif
+
+ifeq ($(BOARD),stamp)
+SREC	+= smc91111_eeprom.srec
+BIN 	+= smc91111_eeprom.bin smc91111_eeprom
+endif
+
+ifeq ($(BOARD),dsp_stamp)
 SREC	+= smc91111_eeprom.srec
 BIN 	+= smc91111_eeprom.bin smc91111_eeprom
 endif
diff --git a/lib_blackfin/board.c b/lib_blackfin/board.c
index 3593154..8ee9c54 100644
--- a/lib_blackfin/board.c
+++ b/lib_blackfin/board.c
@@ -33,7 +33,10 @@
 #include <net.h>
 #include <environment.h>
 #include "blackfin_board.h"
+
+#if defined(CONFIG_DRIVER_SMC91111) && CONFIG_DRIVER_SMC91111
 #include "../drivers/smc91111.h"
+#endif
 
 #ifndef CFG_NO_FLASH
 extern flash_info_t flash_info[];
